Subject: Re: bug#51696: Request: Adopt the unofficial GUIX community on Matrix

From: Jacob Hrbek <[email-masked]>
Date: Tue, 09 Nov 2021 22:10:32 +0000

My motivation for this proposal is to make GNU Guix more accessible and user-friendly so that I can get my team to use it painlessly to organize the work as I currently use NiXOS where nixlang is giving me anxiety and it's too limited to my liking.

I prefer zero trust model so I am happy with transferring the matrix space to the chosen GNU representative.
About the channel I sent a message to the owner and waiting for a reply.

About matrix I am proposing to run our own homeserver that GNU Guix have full control over.
I helped Ian Kelling with the implementation for FSF when they were moving off of Freenode so i assume that we can just fork the implementation or adapt it in GNU guile?

Note: FSF decided to not move on matrix as one of it's clients is using Google's reCAPTCHA for registration (https://github.com/matrix-org/matrix-doc/issues/3220) and is allegedly using electron.. FWIW i never understood the reasoning as the homeserver does not depend on the client and there are multiple alternatives (https://matrix.org/clients).

About bridges they are self-hosted (https://matrix.org/bridges) so GNU Guix would be in full control over them, but some e.g. https://t2bot.io provide it for free to the general public without a guaranteed uptime.

I believe it also answers the question about moderating? There are also moderation bots (https://matrix.org/bots/) such as mjolnil <https://github.com/matrix-org/mjolnir> that afaik can be configured that if user is banned on matrix that it will issue the ban across all bridges and if needed the space.

FWIW on Matrix we don't have to trust the "trusted" people who run it if GNU Guix has their own homeserver.

-- Jacob "Kreyren" Hrbek

Sent with ProtonMail Secure Email.

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Tuesday, November 9th, 2021 at 5:02 AM, Mark H Weaver <[email-masked]> wrote:

> Hi Jacob,

> Jacob Hrbek [email-masked] writes:
> 

> > There is an unofficial GNU Guix community on matrix (#guix:matrix.org)
> > 

> > with 375 members and an unofficial matrix space that i've created
> > 

> > (https://matrix.to/#/#gnu-guix:tchncs.de) which consist of
> > 

> > IRC<->Matrix bridged channels.
> > 

> > Proposing for GNU Guix to adopt this community, it's moderators and my
> > 

> > space to configure IRC<->Matrix bridge (less then 4000 CPU cycles per
> > 

> > day last time i checked) to connect those two communities and users
> > 

> > who prefer either of those protocols to increase the reach of GNU Guix
> > 

> > to new users.

> I appreciate this initiative, and from my preliminary investigations it
> 

> seems to me that Matrix would be a good protocol to support. I would be
> 

> glad if GNU Guix gained an official Matrix channel.
> 

> I have one concern: I'm concerned about control.
> 

> You propose that GNU Guix should adopt "this community, it's moderators
> 

> and my space". Who are these moderators? Who controls the "space"?
> 

> Who gets to decide who is given moderation privileges over the "space"?
> 

> If, in the future, you disagreed with the GNU Guix project leadership
> 

> over how the "space" was being managed, who would have the technical
> 

> and/or legal ability to override the others' wishes?
> 

> In short, would we need to trust you?
> 

> I hope that you will not read these concerns as suggesting that you have
> 

> ill intent. On the contrary, although I don't know you, I think it's
> 

> highly likely that your intent is benign, and I appreciate your efforts
> 

> to improve our communications infrastructure.
> 

> I would have these concerns regardless of who held the keys, even if it
> 

> were a long-time Guix project participant who I had come to deeply
> 

> respect and trust.

> What do you think?

> Regards,

> Mark

> -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
> 

> Disinformation flourishes because many people care deeply about injustice
> 

> but very few check the facts. Ask me about https://stallmansupport.org.